#include <bits/stdc++.h>
using namespace std;
int main() 
{
ios_base::sync_with_stdio(false);
cin.tie(NULL);
int n;
cin>>n;
int brs=0,bri=0,bro=0;
for(int i=0;i<n-1;i++)
{
int a,b;
char c;
cin>>a>>b>>c;
if(c=='S')
brs++;
else if(c=='I')
bri++;
else if(c=='O')
bro++;
}
cout<<bri*brs*bro<<endl;
return 0;
}